// This version relies on Alathon's SimpleMySQL library, which I have included in its own file.
// I took this directly from a test within my game, where the procedure crashed at DQ.GetRowData()
// In this project, it merely stops at DQ.GetRowData() the first time it reaches it, halting the function altogether
// If you run the verb again, it works.  I have included a version that does not rely on Alathon's library, and
// it performs identically both here and in my game.
// When I ran these functions within my game environment, they were both the first queries to be performed at start-up.
mob/verb/With_SimpleMySQL()
	mysql = new()

	var/DBQuery/DQ = mysql.CreateQuery()
	if(istype(DQ,/DBQuery))
		DQ.Execute("CREATE TABLE IF NOT EXISTS databasetest (data1 VARCHAR(50) NOT NULL, data2 VARCHAR(50), PRIMARY KEY(data1))")
	else
		world.log << DQ
		world.log << mysql.dbcon.ErrorMsg()

	DQ = mysql.CreateQuery()
	if(istype(DQ,/DBQuery))
		var/list/L[] = new /list()
		L["data1"]="Hello"
		L["data2"]="Goodbye"
		DQ.Execute(SQLFormat_Insert("databasetest", L))
	else
		world.log << DQ
		world.log << mysql.dbcon.ErrorMsg()

	DQ = mysql.CreateQuery()
	if(istype(DQ,/DBQuery))
		DQ.Execute("SELECT * FROM databasetest WHERE 1")
		while(DQ.NextRow())
			world.log << "Found something"
			var/list/column_data = DQ.GetRowData()
			world.log << "[column_data["data1"]]"
	else
		world.log << DQ
		world.log << mysql.dbcon.ErrorMsg()


mysql_connection/proc
	DBUser()
		return "<username>"

	DBPass()
		return "<password>"

	DBName()
		return "<database>"

	DBAddr()
		return "<address>"

	DBI()
		return "dbi:mysql:[DBName()]:[DBAddr()]:3306"
